<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="MarketingTest Suite">

    <test name="MarketingTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.marketing.ComboTest">
                <methods>
                    <include name="comboFlow"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.CouponTest">
                <methods>
                    <include name="shopCouponFlow"/>
                    <include name="shopCouponFlowWithVirtualProduct"/>
                    <include name="shopCouponFlowWithFullPreSaleProduct"/>
                    <include name="shopCouponFlowWithDepositPreSaleProduct"/>
                    <include name="shopCouponFlowWithSupplierProduct"/>
                    <include name="platformCouponFlow"/>
                    <include name="platformCouponFlowWithVirtualProduct"/>
                    <include name="platformCouponFlowWithFullPreSaleProduct"/>
                    <include name="platformCouponFlowDepositPreSaleProductProduct"/>
                    <include name="platformCouponFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DiscountAmountTest">
                <methods>
                    <include name="discountAmountTestWithRealProduct"/>
                    <include name="discountAmountTestWithVirtualProduct"/>
                    <include name="discountAmountTestWithDepositPreSaleProduct"/>
                    <include name="discountAmountTestWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DiscountTest">
                <methods>
                    <include name="discountFlow"/>
                    <include name="discountFlowWithVirtualProduct"/>
                    <include name="discountFlowWithFullPreSaleProduct"/>
                    <include name="discountFlowWithDepositPreSaleProduct"/>
                    <include name="discountFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DistributionProdTest">
                <methods>
                    <include name="distributionProdFlow"/>
                    <include name="virtualDistributionProdFlow"/>
                    <include name="fullPreSaleDistributionProdFlow"/>
                    <include name="depositPreSaleDistributionProdFlow"/>
                    <include name="supplierDistributionProdFlow"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.GiveawayTest">
                <methods>
                    <include name="giveawayFlowWithRealProduct"/>
                    <include name="giveawayFlowWithFullPreSaleProduct"/>
                    <include name="giveawayFlowWithDepositProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.GroupTest">
                <methods>
                    <include name="groupFlowWithRealProduct"/>
                    <include name="groupFlowWithVirtualProduct"/>
                    <include name="groupFlowWithFullPreSaleProduct"/>
                    <include name="groupFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.SeckillTest">
                <methods>
                    <include name="secKillFlowWithRealProduct"/>
                    <include name="secKillFlowWithVirtualProduct"/>
                    <include name="secKillFlowWithFullPreSaleProduct"/>
                    <include name="secKillFlowWithSupplierProduct"/>
                </methods>
            </class>
        </classes>
    </test>

    <listeners>
        <listener class-name="org.uncommons.reportng.HTMLReporter"/>
        <listener class-name="org.uncommons.reportng.JUnitXMLReporter"/>
    </listeners>
</suite>
